Does discord supported by centos7?

Issues related to applications and software problems
Post Reply
yahyawabadi
Posts: 4
Joined: 2018/10/15 18:41:17

Does discord supported by centos7?

Post by yahyawabadi » 2018/10/15 22:45:54

I tried to install discord many times in a different way. and the discord refuses to open.
it open on time put still show blank UI. can't log in.
some help plz?

User avatar
ysc
Posts: 11
Joined: 2017/11/29 12:58:43

Re: Does discord supported by centos7?

Post by ysc » 2018/10/19 10:33:23

You might have tried this already, but... have you given the official tar.gz a try?

Also, check this thread on GitHub which suggests downloading the package from here.

Hope any of that helps.

Mike_Rochefort
Posts: 97
Joined: 2016/03/16 02:34:19

Re: Does discord supported by centos7?

Post by Mike_Rochefort » 2018/10/21 15:07:12

You need to build libc++ and libc++abi from the llvm trunk. There’s instruction on how to do this on the libcxx website. Discord requires 5.0 or above, while CentOS only ships 3.5 or 3.9 through EPEL. After you build them add them to your LD_LIBRARY_PATH either globally or in a script/the desktop file.

You also need libatomic for its notification setup.

Cheers,
Mike

Post Reply